## Tcl8.6.2/Tk8.6.2 Documentation > Tk Commands, version 8.6.2 > ttk_sizegrip

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

  NAME
    ttk::sizegrip — Bottom-right corner resize widget
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -cursor, cursor, Cursor
    -state, state, State
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
  WIDGET COMMAND
  PLATFORM-SPECIFIC NOTES
  EXAMPLES
  BUGS
  SEE ALSO
  KEYWORDS

### NAME

ttk::sizegrip — Bottom-right corner resize widget

### SYNOPSIS

ttk::sizegrip pathName ?options?

### DESCRIPTION

A ttk::sizegrip widget (also known as a grow box) allows the user to resize the containing toplevel window by pressing and dragging the grip.

### STANDARD OPTIONS

-class, undefined, undefined
-cursor, cursor, Cursor
-state, state, State
-style, style, Style
-takefocus, takeFocus, TakeFocus

### WIDGET COMMAND

Sizegrip widgets support the standard cget, configure, identify, instate, and state methods. No other widget methods are used.

### PLATFORM-SPECIFIC NOTES

On Mac OSX, toplevel windows automatically include a built-in size grip by default. Adding a ttk::sizegrip there is harmless, since the built-in grip will just mask the widget.

### EXAMPLES

Using pack:

    pack [ttk::frame $top.statusbar] -side bottom -fill x
    pack [ttk::sizegrip $top.statusbar.grip] -side right -anchor se

Using grid:

    grid [ttk::sizegrip $top.statusbar.grip] \
        -row $lastRow -column $lastColumn -sticky se
    # ... optional: add vertical scrollbar in $lastColumn,
    # ... optional: add horizontal scrollbar in $lastRow

### BUGS

If the containing toplevel's position was specified relative to the right or bottom of the screen (e.g., “wm geometry ... w x h-x-y” instead of “wm geometry ... w x h+x+y”), the sizegrip widget will not resize the window.

ttk::sizegrip widgets only support “southeast” resizing.

### SEE ALSO

ttk::widget

### KEYWORDS

widget, sizegrip, grow box
Copyright © 2006 Joe English